Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Interface IGraphics

All Known Subinterfaces:
  IGraphics2D, IGraphics3D

All Known Implementing Classes:
  IGraphicsGL, IGraphicsJ2D, PIGraphics3D

    public interface IGraphics

Class of Graphics like java.awt.Graphics to wrap all possible graphic mode (Currently Java AWT and OpenGL).

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Method Summary
`void` | `clr(java.awt.Color c)` fill color
`void` | `clr(float r, float g, float b)` fill color (float 0-255)
`void` | `clr(float r, float g, float b, float a)` fill color (float 0-255)
`void` | `draw(java.util.ArrayList<IGraphicI> objects, IView view)`
`void` | `stroke(java.awt.Color c)` stroke (line) color
`void` | `stroke(float r, float g, float b)` stroke color (float 0-255)
`void` | `stroke(float r, float g, float b, float a)` stroke color (float 0-255)
`IGraphicMode.GraphicType` | `type()`
`IView` | `view()`
`void` | `weight(float w)`

Method Detail

### view

    IView view()

### draw

    void draw(java.util.ArrayList<IGraphicI> objects,
              IView view)

### type

    IGraphicMode.GraphicType type()

### clr

    void clr(java.awt.Color c)

  fill color

### clr

    void clr(float r,
             float g,
             float b,
             float a)

  fill color (float 0-255)

### clr

    void clr(float r,
             float g,
             float b)

  fill color (float 0-255)

### stroke

    void stroke(java.awt.Color c)

  stroke (line) color

### stroke

    void stroke(float r,
                float g,
                float b,
                float a)

  stroke color (float 0-255)

### stroke

    void stroke(float r,
                float g,
                float b)

  stroke color (float 0-255)

### weight

    void weight(float w)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD